import path_setting
from in_common.base_request import BaseRequest
#获取验证码
class verification_code_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.VERIFICATION_CODE_REQUEST_CONFIG)
#获取验证码
    def verification_code(self, phone,type,verifier):
        self.params["phone"] = phone
        self.params["type"] = type
        self.params["verifier"] = verifier
        return self.api_send(self.data["verification_code"])

if __name__ == '__main__':
    print(verification_code_request().verification_code(12345678999,2, 'fd94aa08c242a00496aba1e5b556c436'))